<div align="center">
  <img src="https://raw.githubusercontent.com/artilleryio/artillery/main/packages/artillery/artillery-logo.svg" width="80">
  <h1>Artillery<br/>cloud-scale load testing</h1>
</div>

<p align="center">
  <a href="https://www.artillery.io/docs">Docs</a> | <a href="https://github.com/artilleryio/artillery/discussions">Discussions</a> | <a href="https://twitter.com/artilleryio">@artilleryio</a> | <a href="https://www.artillery.io/careers">We are hiring!</a>
</p>

<p align="center">
  <img alt="npm" src="https://img.shields.io/npm/dm/artillery?style=flat-square">
</p>

| <!-- -->    | <!-- -->    |
|---|---|
| **Test at cloud scale**   | Scale out and run your tests on AWS Lambda or AWS Fargate. Artillery is the only solution that gives **distributed cloud-native load testing at scale** to everyone for FREE. |
| **Batteries included**   | 20+ integrations for monitoring, observability, and CICD.  |
| **Test anything**   | HTTP, Playwright, WebSocket, Socket.io, gRPC, Kinesis, and more.   |
| **Playwright support** | Load test with real headless browsers. |
| **Powerful workload modeling** | Emulate complex user behavior with request chains, multiple steps, transactions, and more. |
| **Extensible & hackable** | Artillery has a plugin API to allow extending and customization. |
| **Permissive open-source** | Permissive open source license (MPLv2) that lets you build on top of Artillery without worry. |

## Get started

### Install Artillery

```
npm install -g artillery
```

### Run your first test

Follow our 5-minute guide to run your first load test - https://www.artillery.io/docs/get-started/first-test

## Learn more

### Docs and guides

- [Distributed load testing with Artillery on AWS Lambda](https://docs.art/lambda)
- [Distributed load testing on Fargate](https://docs.art/fargate)
- Set [API response expectations](https://docs.art/expect), automate [SLO checks](https://docs.art/ensure), and report [Apdex scores](https://docs.art/apdex)
- [Running tests using real headless browsers](https://docs.art/playwright) with Artillery's Playwright integration
- [Publishing metrics](https://docs.art/o11y) to Datadog, Honeycomb, Lightstep, and more

### Integrations and plugins

We maintain a list of official and community-built [integrations and plugins](https://www.artillery.io/integrations) on our website: https://www.artillery.io/integrations.

### Example tests

You can find a list of ready-to-run Artillery examples under [`examples/`](https://github.com/artilleryio/artillery/tree/master/examples#readme).


## License

**Artillery** is open-source software distributed under the terms of the [MPLv2](https://www.mozilla.org/en-US/MPL/2.0/) license.
